Resource

On-Call Policy Custom Field

Manage custom fields for your on-call policy

The On-Call Policy Custom Field Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    name
    Type
    TextRequired
    Description

    Any friendly name of this object

  • Name
    description
    Type
    Long Text
    Description

    Friendly description of this custom field that will help you remember

  • Name
    customFieldType
    Type
    Custom Field Type
    Description

    Is this field Text, Number or Boolean?

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

GETorPOST/api/on-call-duty-policy-custom-field/get-list

List

This endpoint allows you to retrieve a paginated list of all your On-Call Policy Custom Field. By default, a maximum of ten On-Call Policy Custom Field are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/on-call-duty-policy-custom-field/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "name": true,
    "projectId": true,
    "_id": true,
    "createdAt": true,
    "createdByUser": true
  },
  "query": {
    "name": "Example name"
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "3776e8e3-28fe-11f1-b591-3fdcef396aba",
      "name": "Example name",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "createdAt": "2024-01-15T10:30:00.000Z",
      "createdByUser": "Example created by user"
    },
    {
      "_id": "3776e8e4-28fe-11f1-b591-3fdcef396aba",
      "name": "Example name",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "createdAt": "2024-01-15T10:30:00.000Z",
      "createdByUser": "Example created by user"
    },
    {
      "_id": "3776e8e5-28fe-11f1-b591-3fdcef396aba",
      "name": "Example name",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "createdAt": "2024-01-15T10:30:00.000Z",
      "createdByUser": "Example created by user"
    }
  ]
}
GETorPOST/api/on-call-duty-policy-custom-field/:id/get-item

Get item by ID

This endpoint allows you to retrieve On-Call Policy Custom Field by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/on-call-duty-policy-custom-field/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "name": true,
    "projectId": true,
    "_id": true,
    "createdAt": true,
    "createdByUser": true
  }
}

Response

{
  "_id": "550e8400-e29b-41d4-a716-446655440000",
  "name": "Example name",
  "projectId": "550e8400-e29b-41d4-a716-446655440000",
  "createdAt": "2024-01-15T10:30:00.000Z",
  "createdByUser": "Example created by user"
}
POST/api/on-call-duty-policy-custom-field/count

Count

This endpoint allows you to retrieve the count of all your On-Call Policy Custom Field.

Optional Request Body

Count Request

POST
/api/on-call-duty-policy-custom-field/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "name": "Example name"
  }
}

Response

{
  "count": 107
}
POST/api/on-call-duty-policy-custom-field

Create On-Call Policy Custom Field

This endpoint allows you to create a new object.

Create Request

POST
/api/on-call-duty-policy-custom-field
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "name": "Example name",
    "projectId": "550e8400-e29b-41d4-a716-446655440000",
    "createdByUser": "Example created by user",
    "createdByUserId": "550e8400-e29b-41d4-a716-446655440000",
    "customFieldType": "Example custom field type"
  }
}

Response

{
  "_id": "550e8400-e29b-41d4-a716-446655440000",
  "name": "Example name",
  "projectId": "550e8400-e29b-41d4-a716-446655440000",
  "createdAt": "2024-01-15T10:30:00.000Z",
  "createdByUser": "Example created by user"
}
PUT/api/on-call-duty-policy-custom-field/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/on-call-duty-policy-custom-field/:id/update-item
GET/api/on-call-duty-policy-custom-field/:id/update-item

Update Request

PUT
/api/on-call-duty-policy-custom-field/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "name": "Example name",
    "description": "Example description"
  }
}

Response

{}
DELETE/api/on-call-duty-policy-custom-field/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/on-call-duty-policy-custom-field/:id/delete-item
GET/api/on-call-duty-policy-custom-field/:id/delete-item

Delete Request

DELETE
/api/on-call-duty-policy-custom-field/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read On-Call Policy Custom Field

  • Project Owner
  • Project Admin
  • Project Member
  • Read On-Call Policy Custom Field
  • Read All Project Resources

Create Permissions

Required to create On-Call Policy Custom Field

  • Project Owner
  • Project Admin
  • Create On-Call Policy Custom Field

Update Permissions

Required to update On-Call Policy Custom Field

  • Project Owner
  • Project Admin
  • Edit On-Call Policy Custom Field

Delete Permissions

Required to delete On-Call Policy Custom Field

  • Project Owner
  • Project Admin
  • Delete On-Call Policy Custom Field